package com.soft.annotations;

import com.soft.components.security.PermissionCalcType;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface HasPermission {
    String[] value();

    PermissionCalcType calcType() default PermissionCalcType.OR;

    /**
     * 用户ID的 SpEL 表达式（例如：#userId 或 #user.id）
     */
    String userId() default "";
}
