package com.soft.bo.sale;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.soft.common.constants.StringPool;
import com.soft.entitys.voice.SaleOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class QuerySaleOrderBo {
    /**
     * ID
     */
    @ApiModelProperty("ID")
    private String id;

    /**
     * 单号
     */
    @ApiModelProperty("单号")
    private String code;

    /**
     * 销售金额
     */
    @ApiModelProperty("销售金额")
    private BigDecimal totalAmount;

    /**
     * 销售总商品数
     */
    @ApiModelProperty("销售总商品数")
    private BigDecimal productAmount;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = StringPool.DATE_TIME_PATTERN)
    private LocalDateTime createTime;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty(value = "商品名称")
    private String productName;
}
