package com.soft.config;

import com.soft.filter.CrossFilter;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @description WebConfiguration
 * @author TDW
 * @date 2021年3月4日
 *
 */
//@Configuration
public class WebConfiguration implements WebMvcConfigurer {


    @SuppressWarnings({ "rawtypes", "unchecked" })
	@Bean
    public FilterRegistrationBean crossFilter(CrossFilter crossFilter) {
        FilterRegistrationBean registrationBean = new FilterRegistrationBean(crossFilter);
        registrationBean.setFilter(crossFilter);
        registrationBean.addUrlPatterns("/*");
        registrationBean.setOrder(1);
        registrationBean.setName("crossFilter");
        return registrationBean;
    }
    
}
