package com.soft.controller;

import com.soft.dto.UserIdDTO;
import com.soft.resp.Result;
import com.soft.entitys.user.User;
import com.soft.mapper.UserMapper;
import com.soft.service.AgentService;
import com.soft.vo.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/agent")
@Api(tags = "代理中心api")
public class AgentController {

    private Logger logger = LoggerFactory.getLogger(com.soft.controller.AgentController.class);

    @Autowired
    private AgentService agentService;

    @Autowired
    private UserMapper userMapper;

    @GetMapping("/getAgentLevelList")
    @ApiOperation(value = "代理等级和利润")
    public Result<List<AgentLevelVo>> getAgentLevelList(){

        return Result.success(agentService.getAgentLevelList());
    }

    @PostMapping("/getMySilverAgent")
    @ApiOperation(value = "我的银牌代理")
    public Result<List<User>> getMySilverAgent(@RequestBody UserIdDTO userIdDTO){

        return Result.success(userMapper.getMySilverAgent(userIdDTO.getUserId()));
    }

    @PostMapping("/getMyGoldMedalAgent")
    @ApiOperation(value = "我的金牌代理")
    public Result<List<User>> getMyGoldMedalAgent(@RequestBody UserIdDTO userIdDTO){

        return Result.success(userMapper.getMyGoldMedalAgent(userIdDTO.getUserId()));
    }

}
