package com.soft.entitys.user;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;


@Data
@TableName("sys_user")
@Api(tags = "系统用户表")
public class SystemUser {

    /**
     * 用户名
     */
    @ApiModelProperty(value = "微信用户openId", required = true)
    @NotBlank(message = "微信用户openId不能为空！")
    private String openId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名", required = true)
    @NotBlank(message = "用户名不能为空！")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码", required = true)
    @NotBlank(message = "密码不能为空！")
    private String password;
}
