package com.soft.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import java.util.Objects;

public enum OrderStatus {
  CREATED(0, "待审核"), APPROVE_PASS(3, "审核通过"), APPROVE_REFUSE(6, "审核拒绝");

  @EnumValue
  private Integer code;

  private String desc;

  OrderStatus(Integer code, String desc) {

    this.code = code;
    this.desc = desc;
  }

  public Integer getCode() {

    return this.code;
  }

  public String getDesc() {

    return this.desc;
  }

  public static String valueOfCode(Integer code) {
    for (OrderStatus status : values()) {
      if (Objects.equals(status.getCode(), code)) {
        return status.getDesc();
      }
    }
    return null;
  }
}
