package com.soft.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.soft.entitys.voice.PurchaseOrder;
import com.soft.entitys.voice.SaleOrder;
import com.soft.vo.PurchaseOrderVo;
import com.soft.vo.SaleOrderVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


public interface PurchaseOrderMapper extends BaseMapper<PurchaseOrder> {

      BigDecimal CheckTodaysPurchaseAmount();

      BigDecimal CheckMonthPurchaseAmount();

      BigDecimal CheckYearPurchaseAmount();

      List<PurchaseOrderVo> TodaysPurchaseOrder();

      List<PurchaseOrderVo> MonthPurchaseOrder();

      List<PurchaseOrderVo> YearPurchaseOrder();

      List<PurchaseOrderVo> thisMonthPurchaseOrder();

      List<PurchaseOrderVo> thisWeekPurchaseOrder();

      List<PurchaseOrderVo> selectPruchaseOrdersByDate(@Param("targetDate") String targetDate);

      List<Map<String, Object>> orderMonthContrastPurchaseOrder();

      List<Map<String, Object>> orderTodaysContrastPurchaseOrder();

      BigDecimal getPurchaseAmountByMonth(@Param("year") Integer year, @Param("month") Integer month);

      Integer getOrderSumByStatus(@Param("status") Integer status);

      List<SaleOrder> selectListByStatus(@Param("pageSize") int pageSize, @Param("offset") int offset, @Param("status") Integer status);
}
