package com.soft.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.soft.entitys.voice.SaleOrder;
import com.soft.vo.SaleOrderVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface SaleOrderMapper extends BaseMapper<SaleOrder> {

      BigDecimal CheckTodaysOrderAmount();

      BigDecimal CheckMonthOrderAmount();

      BigDecimal CheckYearOrderAmount();

      List<SaleOrderVo> selectSaleOrdersByDate(@Param("targetDate") String targetDate);

      List<SaleOrderVo> getSaleOrderByCustomerId(String customerId);

      List<SaleOrderVo> getSaleOrderBySalerId(String salerId);

      BigDecimal CheckOrderAmountCount();

      BigDecimal CheckOrderPurchasePrice();

      List<SaleOrder> getTotalProfit();

      List<SaleOrderVo> CheckTodysSaleOrderLits();

      List<SaleOrderVo> CheckMonthSaleOrderLits();

      List<SaleOrderVo> CheckYearSaleOrderLits();

      List<SaleOrderVo> CheckThisMonthSaleOrderList();

      List<SaleOrderVo> CheckThisWeekSaleOrderList();

      List<Map<String, Object>> orderMonthContrastSaleOrder();

      List<Map<String, Object>> orderTodaysContrastSaleOrder();

      BigDecimal getSaleAmountByMonth(@Param("year") Integer year, @Param("month") Integer month);

      List<SaleOrderVo> saleSalerMonthRank();

      List<SaleOrderVo> saleSalerWeekRank();

      List<SaleOrderVo> latelyDecemberSaleOrderProfit();

      List<SaleOrderVo> lastYearSaleOrderProfit();

      List<Map<String, Object>> getYearlyComparisonData();

      Integer getOrderSumByStatus(@Param("status") Integer status);

      List<SaleOrder> selectListByStatus(@Param("pageSize") int pageSize, @Param("offset") int offset, @Param("status") Integer status);

      int updateApproveById(@Param("sysUserId")String sysUserId, @Param("now")LocalDateTime now,
                            @Param("id")String id, @Param("statusList")List<Integer> statusList);

}
