package com.soft.service;

import com.soft.dto.OrderProportionDto;
import com.soft.dto.StatisticsProductStockDto;
import com.soft.entitys.Page;
import com.soft.entitys.QueryParams;
import com.soft.vo.*;

import java.util.List;

public interface VoiceQueryService {

    Object processQuery(QueryParams params);

    /**
     * 今日销售与采购情况
     * @return
     */
    OrderDataVo statisticsTodaysOrderData();

    /**
     * 近30日销售与采购情况
     * @return
     */
    OrderDataMonthVo statisticsMonthOrderData();

    /**
     * 近7日销售与采购情况
     * @return
     */
    OrderDataWeekVo statisticsWeekOrderData();

    /**
     * 订单对比分析-每月
     * @return
     */
    OrderMonthContrastVo orderMonthContrast();

    /**
     * 订单对比分析-每日
     */
    OrderTodaysContrastVo orderTodaysContrast();

    /**
     * 订单占比
     * @return
     */
    OrderProportionVo orderProportion(OrderProportionDto orderProportionDto);

    /**
     * 商品库存占比
     * @return
     */
    List<ProductStockProportionVo> productProductStockProportion();


    /**
     * 销售人员排名-本月
     * @return
     */
    List<SaleSalerRankVo> saleSalerMonthRank();

    /**
     * 销售人员排名-本周
     * @return
     */
    List<SaleSalerRankVo> saleSalerWeekRank();


    /**
     * 销售毛利分析-最近12月
     * @return
     */
    SaleOrderGrossMarginVo saleOrderGrossMargin();

    /**
     * 销售毛利分析-去年
     * @return
     */
    SaleOrderLastYearProfitVo saleOrderLastYearProfit();

    /**
     * 年度累计销售额，销售数量，销售成本，毛利率
     * @return
     */
    SaleOrderCurrentYearAmountVo saleOrderCurrentYearAmount();


    Page<List<ProductStockDataVo>> statisticsProductStock(StatisticsProductStockDto statisticsProductStockDto);
}
