package com.soft.service.impl;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.EnumUtil;
import cn.hutool.core.util.IdUtil;
import com.soft.common.constants.StringPool;
import com.soft.common.util.DateUtils;
import com.soft.entitys.OrderChart;
import com.soft.enums.OrderChartBizType;
import com.soft.mapper.OrderChartMapper;
import com.soft.service.OrderChartService;
import com.soft.vo.CreateOrderChartVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Service
public class OrderChartServiceImpl implements OrderChartService {

    @Autowired
    private OrderChartMapper orderChartMapper;


    @Override
    public String create(CreateOrderChartVo vo) {
        if (vo.getCreateTime() == null) {
            vo.setCreateTime(LocalDateTime.now());
        }

        OrderChart record = new OrderChart();
        Snowflake snowflake = IdUtil.createSnowflake(1, 1);

        record.setId(String.valueOf(snowflake.nextId()));
        record.setTotalAmount(vo.getTotalAmount());
        record.setCreateTime(vo.getCreateTime());
        record.setBizType(vo.getBizType().getCode());
        record.setCreateDate(DateUtil.formatDate(DateUtils.toDate(vo.getCreateTime())));
        record.setCreateHour(DateUtil.format(vo.getCreateTime(), StringPool.DATE_TIME_HOUR_PATTER));
        orderChartMapper.insert(record);
        return record.getId();
    }
}
