package com.soft.service.impl;

import com.soft.entitys.user.SystemUser;
import com.soft.dto.SysUserDTO;
import com.soft.mapper.SysUserMapper;
import com.soft.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import java.util.Objects;

@Service
public class SysUserServiceImpl implements SysUserService {

    @Autowired
    private SysUserMapper sysUserMapper;

    @Autowired
    private PasswordEncoder passwordEncode;

    @Override
    public SysUserDTO query(SystemUser systemUser) {
        SysUserDTO user = sysUserMapper.query(systemUser.getUsername());
        if(Objects.isNull(user)){
            return null;
        }
        //校验
        boolean matches = passwordEncode.matches(systemUser.getPassword(), user.getPassword());
        if (matches){
            return user;
        }
        return null;
    }

    @Override
    public SysUserDTO selectById(String sysUserId) {
        SysUserDTO sysUserDTO = sysUserMapper.getSysUserById(sysUserId);
        return sysUserDTO;
    }
}
