package com.soft.utils;

import java.math.BigDecimal;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.function.Consumer;

public class IfNotEmptyUtils {

    private static SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd"); // 定义日期格式

    public static void setIfNotEmpty(String value, Consumer<String> setter) {
        if (value != null && !value.isEmpty()) {
            setter.accept(value);
        }
    }

    public static void setIfNotEmptyDate(String value, Consumer<Date> setter) throws ParseException {
        if (value != null && !value.isEmpty()) {
            Date date = dateFormat.parse(value);
            setter.accept(date);
        }
    }

    public static BigDecimal parseBigDecimal(String value) {
        if (value != null && !value.isEmpty()) {
            try {
                return new BigDecimal(value);
            } catch (NumberFormatException e) {
                System.err.println("Invalid amount format: " + value);
            }
        }
        return null; // 或者返回 BigDecimal.ZERO
    }
}
