package com.soft.utils;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class PageResult<T> implements Serializable {
    private static final long serialVersionUID = 1L;
//    @ApiModelProperty("是否有上一页")
//    private boolean hasPrev;
//    @ApiModelProperty("是否有下一页")
//    private boolean hasNext;
    @ApiModelProperty("总记录数")
    private long totalCount;
    @ApiModelProperty("每页条数")
    private long pageSize;
    @ApiModelProperty("当前页码")
    private long pageIndex;
//    @ApiModelProperty("总页数")
//    private int totalPage;
    @ApiModelProperty("数据")
    private List<T> datas;
    @ApiModelProperty("附加数据")
    private Map<Object, Object> extra;

    public PageResult() {
    }

//    public boolean isHasPrev() {
//        return this.hasPrev;
//    }
//
//    public boolean isHasNext() {
//        return this.hasNext;
//    }

    public long getTotalCount() {
        return this.totalCount;
    }

    public long getPageSize() {
        return this.pageSize;
    }

    public long getPageIndex() {
        return this.pageIndex;
    }

//    public int getTotalPage() {
//        return this.totalPage;
//    }

    public List<T> getDatas() {
        return this.datas;
    }

    public Map<Object, Object> getExtra() {
        return this.extra;
    }

//    public void setHasPrev(boolean hasPrev) {
//        this.hasPrev = hasPrev;
//    }
//
//    public void setHasNext(boolean hasNext) {
//        this.hasNext = hasNext;
//    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

    public void setPageSize(long pageSize) {
        this.pageSize = pageSize;
    }

    public void setPageIndex(long pageIndex) {
        this.pageIndex = pageIndex;
    }

//    public void setTotalPage(int totalPage) {
//        this.totalPage = totalPage;
//    }

    public void setDatas(List<T> datas) {
        this.datas = datas;
    }

    public void setExtra(Map<Object, Object> extra) {
        this.extra = extra;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PageResult)) {
            return false;
        } else {
            PageResult<?> other = (PageResult)o;
            if (!other.canEqual(this)) {
                return false;
//            } else if (this.isHasPrev() != other.isHasPrev()) {
//                return false;
//            } else if (this.isHasNext() != other.isHasNext()) {
//                return false;
            } else if (this.getTotalCount() != other.getTotalCount()) {
                return false;
            } else if (this.getPageSize() != other.getPageSize()) {
                return false;
            } else if (this.getPageIndex() != other.getPageIndex()) {
                return false;
//            } else if (this.getTotalPage() != other.getTotalPage()) {
//                return false;
            } else {
                Object this$datas = this.getDatas();
                Object other$datas = other.getDatas();
                if (this$datas == null) {
                    if (other$datas != null) {
                        return false;
                    }
                } else if (!this$datas.equals(other$datas)) {
                    return false;
                }

                Object this$extra = this.getExtra();
                Object other$extra = other.getExtra();
                if (this$extra == null) {
                    if (other$extra != null) {
                        return false;
                    }
                } else if (!this$extra.equals(other$extra)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof PageResult;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
//        result = result * 59 + (this.isHasPrev() ? 79 : 97);
//        result = result * 59 + (this.isHasNext() ? 79 : 97);
        long $totalCount = this.getTotalCount();
        result = result * 59 + (int)($totalCount >>> 32 ^ $totalCount);
        long $pageSize = this.getPageSize();
        result = result * 59 + (int)($pageSize >>> 32 ^ $pageSize);
        long $pageIndex = this.getPageIndex();
        result = result * 59 + (int)($pageIndex >>> 32 ^ $pageIndex);
//        result = result * 59 + this.getTotalPage();
        Object $datas = this.getDatas();
        result = result * 59 + ($datas == null ? 43 : $datas.hashCode());
        Object $extra = this.getExtra();
        result = result * 59 + ($extra == null ? 43 : $extra.hashCode());
        return result;
    }

//    public String toString() {
//        return "PageResult(hasPrev=" + this.isHasPrev() + ", hasNext=" + this.isHasNext() + ", totalCount=" + this.getTotalCount() + ", pageSize=" + this.getPageSize() + ", pageIndex=" + this.getPageIndex() + ", totalPage=" + this.getTotalPage() + ", datas=" + this.getDatas() + ", extra=" + this.getExtra() + ")";
//    }

    @Override
    public String toString() {
        return "PageResult{" +
                "totalCount=" + totalCount +
                ", pageSize=" + pageSize +
                ", pageIndex=" + pageIndex +
                ", datas=" + datas +
                ", extra=" + extra +
                '}';
    }
}
