package com.soft.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * 状态码
 */
public class ResultUtil {

    /**
     * 常用
     */
    public static final int SUCCESS_CODE=200;//成功
    public static final int FAIL_CODE=300;//失败
    public static final int EMPTY_PARAM_CODE=400;//空参数
    public static final int ERROR_CODE=500;//异常

    /**
     * 权限
     */
    public static final int LOGIN_TOKEN_INVALID_CODE=401;//token无效
    public static final int NOT_AUTHENTICATION_CODE=403;//没权限

    /**
     * 图片格式
     */
    public static final int NO_SUPPORT_FILE_FORMAT_CODE=505;//不支持文件形式



    private static Map<Integer,String> messageMap;

    static {
        messageMap=new HashMap<>();
        messageMap.put(SUCCESS_CODE,"Success");
        messageMap.put(FAIL_CODE,"Fail");
        messageMap.put(EMPTY_PARAM_CODE,"Fount required isEmpty");
        messageMap.put(ERROR_CODE,"Error");

        messageMap.put(LOGIN_TOKEN_INVALID_CODE,"Token is invalid. Please login again");
        messageMap.put(NOT_AUTHENTICATION_CODE,"Full authentication is required to access this resource");

        messageMap.put(NO_SUPPORT_FILE_FORMAT_CODE,"File format is not supported");
    }

    /**
     * 根据状态码获取返回消息
     * @param code
     * @return
     */
    public static String getMessage(int code){
        return messageMap.get(code);
    }

}
