package com.soft.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ProductVo {

    /**
     * ID
     */
    private String id;

    /**
     * 编号
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 简称
     */
    private String shortName;

    /**
     * SKU
     */
    private String skuCode;

    /**
     * 简码
     */
    private String externalCode;

    /**
     * 分类ID
     */
    private String categoryId;

    /**
     * 品牌ID
     */
    private String brandId;

    /**
     * 进项税率（%）
     */
    private BigDecimal taxRate;

    /**
     * 销项税率（%）
     */
    private BigDecimal saleTaxRate;

    /**
     * 规格
     */
    private String spec;

    /**
     * 单位
     */
    private String unit;

    /**
     * 重量（kg）
     */
    private BigDecimal weight;

    /**
     * 体积（cm3）
     */
    private BigDecimal volume;

    /**
     * 状态
     */
    private Boolean available;

    private String createById;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private String updateById;

    private Date updateTime;

    /**
     * 库存数量
     */
    private Integer stockNum;


}
