package com.soft.resp;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//
import com.soft.common.constants.ResponseConstants;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class InvokeResultBuilder {
    private static final Logger log = LoggerFactory.getLogger(InvokeResultBuilder.class);

    public InvokeResultBuilder() {
    }

    public static InvokeResult<Void> success() {
        InvokeResult<Void> invokeResult = new InvokeResult();
        invokeResult.setCode(ResponseConstants.INVOKE_RESULT_SUCCESS_CODE);
        invokeResult.setMsg("success");
        return invokeResult;
    }

    public static <T> InvokeResult<T> success(T data) {
        InvokeResult<T> invokeResult = new InvokeResult();
        invokeResult.setCode(ResponseConstants.INVOKE_RESULT_SUCCESS_CODE);
        invokeResult.setMsg("success");
        invokeResult.setData(data);
        return invokeResult;
    }

    public static InvokeResult<Void> fail() {
        InvokeResult<Void> invokeResult = new InvokeResult();
        invokeResult.setCode(ResponseConstants.INVOKE_RESULT_FAIL_CODE);
        invokeResult.setMsg("fail");
        return invokeResult;
    }

    public static InvokeResult<Void> fail(String msg) {
        InvokeResult<Void> invokeResult = new InvokeResult();
        invokeResult.setCode(ResponseConstants.INVOKE_RESULT_FAIL_CODE);
        invokeResult.setMsg(msg);
        return invokeResult;
    }

    public static <T> InvokeResult<T> fail(String msg, T data) {
        InvokeResult<T> invokeResult = new InvokeResult();
        invokeResult.setCode(ResponseConstants.INVOKE_RESULT_FAIL_CODE);
        invokeResult.setMsg(msg);
        invokeResult.setData(data);
        return invokeResult;
    }
}

